Check Search (Custom Database)¶
Check Private Search¶
GET https://search.pex.com/api/v1/private/check-search/{lookup_id}
Requests the result for a private search lookup previously started with POST /api/v1/private/start-search.
Request¶
| Parameter | Type | Required | Description |
|---|---|---|---|
lookup_id |
string | Yes | Lookup ID returned by the private start search endpoint. |
Examples¶
import requests
ACCESS_TOKEN = "YOUR_ACCESS_TOKEN"
LOOKUP_ID = "123456789012345678"
response = requests.get(
f"https://search.pex.com/api/v1/private/check-search/{LOOKUP_ID}",
headers={
"Authorization": f"Bearer {ACCESS_TOKEN}",
},
)
response.raise_for_status()
print(response.json())
ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
LOOKUP_ID="123456789012345678"
curl -X GET "https://search.pex.com/api/v1/private/check-search/${LOOKUP_ID}" \
-H "Authorization: Bearer ${ACCESS_TOKEN}"
Response¶
The check endpoint blocks until the lookup is complete, then returns the completed private search response. For a detailed breakdown of all fields, see Search Response.
{
"lookup_ids": [
"123456789012345678"
],
"query_file_duration_seconds": 158.0,
"matches": [
{
"provided_id": "my_custom_asset_id_123",
"match_details": {
"audio": {
"query_match_duration_seconds": 158.0,
"query_match_percentage": 100.0,
"asset_match_duration_seconds": 207.0,
"asset_match_percentage": 100.0,
"segments": [
{
"query_start": 0,
"query_end": 158,
"asset_start": 0,
"asset_end": 207,
"audio_pitch": 0,
"audio_speed": 100,
"melody_transposition": null,
"confidence": 100
}
]
},
"melody": null,
"phonetic": null,
"video": null
}
}
]
}